Bug 1702023 - ConversionHost::Configurations#enable_queue method might not pick up params
Summary: ConversionHost::Configurations#enable_queue method might not pick up params
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Fabien Dupont
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL: https://github.com/ManageIQ/manageiq/...
Whiteboard:
Depends On: 1695792
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 18:15 UTC by Satoe Imaishi
Modified: 2019-05-21 05:47 UTC (History)
4 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1695792
Environment:
Last Closed: 2019-05-21 05:46:54 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:00 UTC

Comment 2 CFME Bot 2019-04-24 19:48:46 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/a40a0211ab3b41cd16a617a77678bcffa5e41b75
commit a40a0211ab3b41cd16a617a77678bcffa5e41b75
Author:     Keenan Brock <keenan@thebrocks.net>
AuthorDate: Fri Jan 11 13:15:50 2019 -0500
Commit:     Keenan Brock <keenan@thebrocks.net>
CommitDate: Fri Jan 11 13:15:50 2019 -0500

    Merge pull request #18336 from djberg96/conversion_host_params

    Modify the enable ConversionHost::Configurations#enable method to handle arguments more robustly

    (cherry picked from commit 933ff48245f76831e0c00efbd9739ffad60e04ab)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702023

 app/models/conversion_host/configurations.rb | 16 +-
 spec/models/conversion_host/configurations_spec.rb | 2 +-
 2 files changed, 12 insertions(+), 6 deletions(-)

Comment 3 Shveta 2019-05-03 17:22:10 UTC
I see the changes in the PR and that the PR is merged .
Not able to trigger the enable_queue method with params , which is being tracked in BZ https://bugzilla.redhat.com/show_bug.cgi?id=1702054.
Verifying this BZ .

Comment 4 Shveta 2019-05-03 17:25:20 UTC
Getting this error " undefined method `userid' for nil:NilClass" while running the REST API to add conversion host.

Comment 6 errata-xmlrpc 2019-05-21 05:46:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.